package com.palmnest.dao.release;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.release.GoodsRelease;

import java.util.List;
import java.util.Map;

public interface GoodsReleaseDao extends GenericDao<GoodsRelease, Long> {


	public Page findPageBy(Map<String, Object> params, int pageSize, int pageNo);

	public Page findRecordPageBy(Map<String, Object> params, int pageSize, int pageNo);

	public Page findStatisticsPageBy(Map<String, Object> params, int pageSize, int pageNo);

	public Integer findCountBy(Map<String, Object> params);

	public List<GoodsRelease> getGoodsReleaseByParams(Map<String, Object> params);

	public List<Map<String, Object>> getVirIdsByOpenId(String openId, Integer isReleasePower);

	public List<Map<String, Object>> reportExcel(Map<String, Object> params);

	public List<Map<String, Object>> reportStatistics(Map<String, Object> params);

	public List<Map<String, Object>> reportRecord(Map<String, Object> params);


	public List<Map<String, Object>> getStatisticsData(Map<String, Object> params);

}
